Credential interactions

List credential interactions

Returns a list of credential interactions, optionally filtered by credential ID.

Returns a list of credential interactions, optionally filtered by credential ID.

GET
/v1/credential-interactions

Authorization

BearerAuth
AuthorizationBearer <token>

Provide your access token in the Authorization header with Bearer auth-scheme. You can view and manage your access tokens in the Certifier Dashboard.

In: header

Query Parameters

credentialId?string

The unique credential's identifier

cursor?string

Cursor for pagination

limit?integer

Number of items to return (default: 20)

Header Parameters

Certifier-Version*string

API version header. Required for all requests.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.certifier.io/v1/credential-interactions" \  -H "Certifier-Version: 2022-10-26"
{
  "data": [
    {
      "id": "01hrsvk8xnj8vkt8p1e2tc1jt7",
      "credentialId": "01hrsvjp560yksep2a3bek3z97",
      "eventType": "credential_viewed",
      "triggeredBy": "recipient",
      "triggeredAt": "2024-03-12T17:33:05.784Z"
    }
  ],
  "pagination": {
    "prev": null,
    "next": null
  }
}

{
  "error": {
    "code": "missing_version",
    "message": "The request is missing the required Certifier-Version header"
  }
}

{
  "error": {
    "code": "unauthorized",
    "message": "A valid authentication token was not provided with the request"
  }
}
{
  "error": {
    "code": "rate_limited",
    "message": "You have exceeded the rate limit"
  }
}
{
  "error": {
    "code": "internal_server_error",
    "message": "There was a problem on Certifier's end"
  }
}